using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Music:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Music
	{
		public Dd_Music()
		{}
		#region Model
		private int _music_id;
		private int _user_id;
		private string _music_address;
		private string _music_description;
		private string _music_tag;
		private int? _music_originid;
		private int? _music_publishmode;
		private bool? _music_puttop= false;
		private int? _music_fever;
		private string _music_guid;
		private DateTime? _music_datetime= DateTime.Now;
		private DateTime? _music_updatetime= DateTime.Now;
		private int? _music_verify;
		private int? _music_lock;
		private int? _music_state;
		private int? _music_delete;
		private int? _music_count;
		private int? _music_order;
		private string _music_remark;
		/// <summary>
		/// 音乐的唯一标识
		/// </summary>
		public int Music_ID
		{
			set{ _music_id=value;}
			get{return _music_id;}
		}
		/// <summary>
		/// 音乐的拥有者用户ID作外键
		/// </summary>
		public int User_ID
		{
			set{ _user_id=value;}
			get{return _user_id;}
		}
		/// <summary>
		/// 音乐地址
		/// </summary>
		public string Music_Address
		{
			set{ _music_address=value;}
			get{return _music_address;}
		}
		/// <summary>
		/// 音乐的描述
		/// </summary>
		public string Music_Description
		{
			set{ _music_description=value;}
			get{return _music_description;}
		}
		/// <summary>
		/// 音乐标签
		/// </summary>
		public string Music_Tag
		{
			set{ _music_tag=value;}
			get{return _music_tag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Music_OriginId
		{
			set{ _music_originid=value;}
			get{return _music_originid;}
		}
		/// <summary>
		/// 发布状态1立即发布2保存在草稿3加入到自动发布列表4紧自己可见
		/// </summary>
		public int? Music_PublishMode
		{
			set{ _music_publishmode=value;}
			get{return _music_publishmode;}
		}
		/// <summary>
		/// 是否置顶默认置顶
		/// </summary>
		public bool? Music_PutTop
		{
			set{ _music_puttop=value;}
			get{return _music_puttop;}
		}
		/// <summary>
		/// 热度即浏览量
		/// </summary>
		public int? Music_Fever
		{
			set{ _music_fever=value;}
			get{return _music_fever;}
		}
		/// <summary>
		/// 数据库表唯一性标识
		/// </summary>
		public string Music_Guid
		{
			set{ _music_guid=value;}
			get{return _music_guid;}
		}
		/// <summary>
		/// 创建时间(本记录的创建时间)
		/// </summary>
		public DateTime? Music_Datetime
		{
			set{ _music_datetime=value;}
			get{return _music_datetime;}
		}
		/// <summary>
		/// 更新时间(本记录最近修改时间)
		/// </summary>
		public DateTime? Music_UpDatetime
		{
			set{ _music_updatetime=value;}
			get{return _music_updatetime;}
		}
		/// <summary>
		/// 是否审核(0未审核,1已审核)
		/// </summary>
		public int? Music_Verify
		{
			set{ _music_verify=value;}
			get{return _music_verify;}
		}
		/// <summary>
		/// 是否锁定(0未锁定,1锁定)
		/// </summary>
		public int? Music_Lock
		{
			set{ _music_lock=value;}
			get{return _music_lock;}
		}
		/// <summary>
		/// 数据状态
		/// </summary>
		public int? Music_State
		{
			set{ _music_state=value;}
			get{return _music_state;}
		}
		/// <summary>
		/// 是否删除(0未删除,1已删除)
		/// </summary>
		public int? Music_Delete
		{
			set{ _music_delete=value;}
			get{return _music_delete;}
		}
		/// <summary>
		/// 使用次数(本记录使用次数)
		/// </summary>
		public int? Music_Count
		{
			set{ _music_count=value;}
			get{return _music_count;}
		}
		/// <summary>
		/// 记录排序(记录显示的顺序)
		/// </summary>
		public int? Music_Order
		{
			set{ _music_order=value;}
			get{return _music_order;}
		}
		/// <summary>
		/// 备注说明信息
		/// </summary>
		public string Music_Remark
		{
			set{ _music_remark=value;}
			get{return _music_remark;}
		}
		#endregion Model

	}
}

